Bug 956309 - (CVE-2013-1952) CVE-2013-1952 kernel: xen: VT-d interrupt remapping source validation flaw for bridges
CVE-2013-1952 kernel: xen: VT-d interrupt remapping source validation flaw fo...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130502,repor...
: Security
Depends On: 958919
Blocks: 953634
  Show dependency treegraph
 
Reported: 2013-04-24 12:02 EDT by Petr Matousek
Modified: 2013-05-14 04:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-02 12:37:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-04-24 12:02:18 EDT
Interrupt remapping table entries for MSI interrupts set up by bridge devices did not get any source validation set up on them, allowing misbehaving or malicious guests to inject interrupts into the domain owning the bridges.

In a typical Xen system bridge devices are owned by domain 0, leaving it vulnerable to such an attack. Such a DoS is likely to have an impact on other guests running in the system.

A malicious domain, given access to a device which bus mastering capable, can mount a denial of service attack affecting the whole system.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 3 Petr Matousek 2013-04-24 12:05:09 EDT
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 4 Petr Matousek 2013-05-02 12:36:34 EDT
Now public via http://seclists.org/oss-sec/2013/q2/260.
Comment 5 Petr Matousek 2013-05-02 12:37:35 EDT
Created xen tracking bugs for this issue

Affects: fedora-all [bug 958919]

Note You need to log in before you can comment on or make changes to this bug.